%define	upstream_name	 B-Keywords
%define	upstream_version 1.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Lists of reserved barewords and symbol names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

BuildArch: noarch
Obsoletes: perl-B-Keywords < 1.140.0-2

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

All additions and modifications are welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/B
%{_mandir}/man*/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.150.0-1.mga6
+ Revision: 903331
- new release

* Wed Sep 30 2015 sander85 <sander85> 1.140.0-2.mga6
+ Revision: 885346
- Convert to noarch package

* Tue Jun 30 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 848578
- update to 1.14

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 740856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-3.mga5
+ Revision: 683590
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.130.0-2.mga4
+ Revision: 526475
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 jquelin <jquelin> 1.130.0-1.mga4
+ Revision: 437065
- update to 1.13

* Wed May 29 2013 tv <tv> 1.120.0-3.mga4
+ Revision: 432688
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 363328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 1.120.0-1.mga2
+ Revision: 211934
- update to 1.12

* Wed Jan 25 2012 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 200833
- update to 1.11

* Sat Jan 22 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 32727
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 29812
- mageia rebuild
- imported package perl-B-Keywords

